package org.ilyin;

import org.ilyin.model.IFileManager;
import org.ilyin.model.FileManagerHolder;
import org.ilyin.fileSystemAPI.RealFiller;
import org.ilyin.fileTypes.*;
import org.ilyin.gui.*;

/**
 * Starts File Manager.
 * 
 * @author Alexander Ilyin
 */
public class Main {
	/**
	 * Program entry point.
	 * 
	 * @param args arguments of command line
	 */
	public static void main(String[] args) {
		try {
			Class.forName("org.ilyin.model.impl.FileManagerHolderImpl");
		} catch (ClassNotFoundException e) {
			System.err.println("Can't load manager!");
			return ;
		}

		/*ManagerLoader loader = new ManagerLoader();
		loader.loadManager();*/
		/*try {
			ClassLoader loader = new URLClassLoader(new URL[]{new URL("file://")});
			loader.loadClass("org.ilyin.model.impl.FileManagerHolderImpl");
		} catch (ClassNotFoundException e) {
			System.out.println("Class not found!");
			return ;
		} catch (MalformedURLException e) {
			System.out.println("MalformedURLException!");
			return ;
		}*/
		
		IFileManager manager = FileManagerHolder.getFileManager();
		manager.setFiller(new RealFiller());
		
		/*File f = new File("some"); 
		System.out.println(f.isFile());
		System.out.println(f.isDirectory());*/
		
		/*System.out.println((char)0xff);
		System.out.println((char)0xfb);*/
		manager.setType(new DirectoryType());
		manager.setType(new PowerpointType());
		manager.setType(new TextType());
		manager.setType(new SimpleType("GIF", "gif.jpg", "GIF87a"));
		manager.setType(new SimpleType("GIF", "gif.jpg", "GIF89a"));
		//manager.setType(new SimpleType("PNG", "gif.jpg", /*(char)0x89 + */"?PNG"/* + (char)0x0d + (char)0x0a + (char)0x1a + (char)0x0a*/));
		manager.setType(new SimpleType("BMP", "bmp.jpg", "BM"));
		manager.setType(new SimpleType("ZIP", "zip.jpg", "PK"));
		manager.setType(new SimpleType("RAR", "zip.jpg", "Rar!" + (char)0x1a));
		manager.setType(new SimpleType("PDF", "pdf.jpg", "%PDF-"));
		//manager.setType(new SimpleType("MP3", "unknown.jpg",  new String(new char[]{(char)0xff})));
		manager.setType(new UnknownType());
		
		new MainWindow(manager);
	}
	
	/*private static class ManagerLoader extends ClassLoader {
		public void loadManager() {
			try {
				Class.forName("org.ilyin.model.impl.FileManagerHolderImpl");
				//Class c = loadClass("org.ilyin.model.impl.FileManagerHolderImpl");
			} catch (ClassNotFoundException e) {
				System.out.println("Can't load manager!");
			}
		}
	}*/
}