package org.ilyin.actions;

import org.ilyin.model.*;
import java.io.IOException;
import javax.swing.JOptionPane;

public class ExecAction implements IAction {
	private final String myExecString;
	
	public ExecAction(String execString) {
		if (execString == null)
			throw new NullPointerException("execString is null");
		
		myExecString = execString;
	}
	
	public void run(IUnit unit) {
		String com = myExecString.replace("<filename>", unit.getCanonicalPath());
		
		if (com.equals("")) {
			JOptionPane.showMessageDialog(null, "Can't execute command: " + com, 
					  "File Manager", JOptionPane.ERROR_MESSAGE);
			return ;
		}
		
		try {
			//System.out.println("executing: " + com);
			Runtime.getRuntime().exec(com);
		} catch(IOException e) {
			JOptionPane.showMessageDialog(null, "Can't execute command: " + com, 
										  "File Manager", JOptionPane.ERROR_MESSAGE);
		}
	}
}