package org.ilyin.fileTypes;

import static java.io.File.separatorChar;
import javax.swing.ImageIcon;
import javax.swing.JOptionPane;
import org.ilyin.model.*;
import org.ilyin.settings.Settings;
import org.ilyin.actions.*;

abstract class AbstractType implements IFileType {
	private static final String LARGE_ICONS_PATH = "/icons/large/";
	private static final String SMALL_ICONS_PATH = "/icons/small/";
	private static final String SETTINGS_PREFIX = "";
	
	private IAction myAction;
	
	protected IAction getAction() {
		return myAction;
	}
	
	public final void doAction(IUnit unit) {
		String command = Settings.getInstance().getProperty(SETTINGS_PREFIX + getName());
		if (command != null) {
			myAction = new ExecAction(command);
		}
		if (myAction != null) {
			myAction.run(unit);
		} else {
			JOptionPane.showMessageDialog(null, "No action was specified for " + getName());
		}
	}
	public final ImageIcon getSmallIcon() {
		return new ImageIcon(AbstractType.class.getResource(SMALL_ICONS_PATH + getIconFilename()));
	}
	
	public final ImageIcon getLargeIcon() {
		return new ImageIcon(AbstractType.class.getResource(LARGE_ICONS_PATH + getIconFilename()));
	}

	protected abstract String getIconFilename();
}
