package org.ilyin.fileTypes;

import org.ilyin.model.IFile;
import org.ilyin.model.IUnit;

public class SimpleType extends AbstractType {
	private final String myName;
	private final String myIconName;
	private final String myPrefix;
	
	public SimpleType(String name, String iconName, String prefix) {
		if (name == null)
			throw new NullPointerException("name of the type is null");
		if (iconName == null)
			throw new NullPointerException("iconName of the type is null");
		if (prefix == null)
			throw new NullPointerException("prefix is null");
		
		myName = name;
		myIconName = iconName;
		myPrefix = prefix;
	}

	public boolean doesBelong(IUnit unit) {
		if (!unit.isDirectory()) {
			IFile file = (IFile)unit;
			String s = file.readChars(myPrefix.length());
			return myPrefix.equals(s);//s.equals(myPrefix);
		}
		
		return false;
	}

	public String getName() {
		return myName;
	}

	protected String getIconFilename() {
		return myIconName;
	}
}
