package org.ilyin.gui.explorerView;

import org.ilyin.model.*;
import java.awt.*;
import javax.swing.ImageIcon;

class UnitImage {
	private static final int NAME_WIDTH = 70;
	private int myX, myY;
	private IUnit myUnit;
	private ImageIcon myIcon;
	private String myText;
	//private boolean mySelected;
	
	public UnitImage(IUnit unit) {
		myUnit = unit;
		myText = unit.getName();
		myIcon = unit.getType().getLargeIcon();
	}
	
	public UnitImage(ImageIcon icon, String text) {
		myIcon = icon;
		myText = text;
	}
	
	public void setX(int x) {
		myX = x;
	}
	
	public void setY(int y) {
		myY = y;
	}
	
	/*public void setSelected(boolean selected) {
		mySelected = selected;
	}*/
	
	public void draw(Graphics g, boolean selected) {
		//System.out.println("width=" + this.getWidth() + "; height=" + this.getHeight());
		g.drawImage(myIcon.getImage(), myX, myY, null);
		g.setColor(Color.BLACK);
		
		String displayName = myText;
		if (g.getFontMetrics().stringWidth(displayName) > NAME_WIDTH) {
			while(g.getFontMetrics().stringWidth(displayName + "...") > NAME_WIDTH) {
				displayName = displayName.substring(0, displayName.length() - 1);
			}
			displayName += "...";
		}
		
		//System.out.println("writing " + displayName);
		g.drawString(displayName, myX + myIcon.getIconWidth(), myY + myIcon.getIconHeight() / 2);
		
		if (selected) {
			g.setColor(Color.BLUE);
			g.drawRect(myX, myY, getWidth(), getHeight());
		}
	}

	public boolean contains(int x, int y) {
		return ((myX <= x) && (x <= myX + getWidth()) &&
				(myY <= y) && (y <= myY + getHeight()));
	}

	public int getWidth() {
		return myIcon.getIconWidth() + NAME_WIDTH;
	}
	
	public int getHeight() {
		return myIcon.getIconHeight();
	}
	
	public IUnit getUnit() {
		return myUnit;
	}
}