package org.ilyin.gui.nortonView;

import javax.swing.*;
import java.awt.*;
import org.ilyin.model.*;

class ImageListCellRenderer extends DefaultListCellRenderer {
	public Component getListCellRendererComponent(
			JList list, Object data, int idx, boolean isSelected, boolean hasFocus) {
		
		if (data instanceof IUnit) {
			IUnit unit = (IUnit)data;
		
			/*
			 * if object has a focus and it's selected one
			 * it's shown as focused
			 */
			JLabel label = (JLabel)super.getListCellRendererComponent(
					list, unit.getName(), idx, false, isSelected && hasFocus);
			
			label.setIcon(unit.getType().getSmallIcon());
		
			return label;
		} else {
			/*
			 * if object has a focus and it's selected one
			 * it's shown as focused
			 */
			return super.getListCellRendererComponent(list, data, idx, false, isSelected && hasFocus);
		}
	}
	
	private static final long serialVersionUID = 2976681249631448409L;
}
