package org.ilyin.model;

/**
 * Factory that creates an instance of a class which implements !!! 
 * <code>IFileManager</code> interface.
 * 
 * @author Alexander Ilyin
 */
public class FileManagerHolder {
	protected FileManagerHolder() {
	}
	
	private static IFileManager ourManager;
	
	/**
	 * Returns an instance of a <code>IFileManager</code> object.
	 * 
	 * @return file manager
	 */
	public static IFileManager getFileManager() {
		return ourManager;
	}
	
	protected static void setFileManager(IFileManager manager) {
		ourManager = manager;
	}
}
