package org.ilyin.model;

/**
 * Implementing this interface allows to define an action which
 * may be associated with some file type.
 * 
 * @author Alexander Ilyin
 * @see IFileType
 */
public interface IAction {
	/**
	 * Executes an action associated with the type of specified unit.
	 * 
	 * @param unit file (directory) to do the action with
	 * @see IFileType
	 */
	void run(IUnit unit);
}
