package org.ilyin.model;

/**
 * This interface represents a file.
 * 
 * @author Alexander Ilyin
 */
public interface IFile extends IUnit {
	/**
	 * Gets first characters of the file.
	 * If there are <code>n</code> characters in it, the length of the
	 * result string will be <code>n</code>. Otherwise, the length will
	 * be equal to the number of characters in the file. 
	 * If I/O error occurs, <code>null</code> is returned.
	 * 
	 * @param n number of characters to read
	 * @return string containing characters read or <code>null</code>, if failed to read
	 */
	String readChars(int n);
}
