package org.ilyin.model;

import java.util.List;

public interface IFileManager {
	IUnit getUnit(String path);
	IUnit getUnit(String name, IDirectory parent);
	
	void setFiller(IModelFiller filler);
	
	void setType(IFileType type);
	List<IFileType> getTypes();
	
	void addListener(IListener listener);
	void removeListener(IListener listener);
	
	boolean rename(IUnit unit, String name);
	boolean remove(IUnit unit);
	boolean createFile(IDirectory parent, String name);
	boolean createDir(IDirectory parent, String name);
}
