package org.ilyin.model.impl;

import org.ilyin.model.IDirectory;
import org.ilyin.model.IFile;

class File extends Unit implements IFile {
	private final static int BUF_SIZE = 16;
	private String myChars;
	
	/**
	 * Creates a <code>File</code> instance with the specified
	 * path. Path may be either absolute and relative.
	 * 
	 * @param path path of the file
	 */
	public File(FileManager manager, String path) {
		super(manager, path);
	}
	
	/**
	 * Creates a <code>File</code> instance with the specified
	 * name and parent.
	 * 
	 * @param name name of the file
	 * @param parent parent directory
	 */
	public File(FileManager manager, String name, IDirectory parent) {
		super(manager, name, parent);
	}
	
	public String readChars(int n) {
		if ((myChars == null) || ((myChars.length() < n))) {
			int len = BUF_SIZE;
			while (len < n)
				len *= 2;
			myChars = getManager().getFiller().readChars(getCanonicalPath(), len);
		}
		
		if ((myChars == null) || (myChars.length() <= n)) {
			return myChars;
		} else {
			return myChars.substring(0, n);
		}
		
		//return getManager().getFiller().readChars(getCanonicalPath(), n);
	}
	
	public final boolean isDirectory() {
		return false;
	}

	public String toString () {
		return "File: " + getName();
	}
}
