package org.ilyin.tests;

import static java.io.File.separatorChar;;

public class MainTest {
	public static void main(String[] args) {
		try {
			Class.forName("org.ilyin.model.impl.FileManagerHolderImpl");
		} catch (ClassNotFoundException e) {
			System.out.println("Can't load manager!");
			return ;
		}
		
		TestLoader loader = new TestLoader();
		ITest[] tests = loader.loadTests("org" + separatorChar +  
										"ilyin" + separatorChar + 
										"tests" + separatorChar + 
										"testSet");
		int count = 0;
		for (ITest test : tests) {
			try {
				//System.out.println(test.getName());
				if (test.run()) {
					//System.out.println(test.getName() + ":   OK!");
					count++;
				} else {
					System.out.println(test.getName() + ":   failed!");
				}
			} catch (Throwable t) {
				System.err.println("Failed to run a " + test.getName());
				System.err.println(t.getMessage());
				//t.printStackTrace();
			}
		}
		System.out.println("\tTEST RESULTS:");
		System.out.println(count + " of " + tests.length + " tests ran successfully.");
	}
}
