package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.tests.ITest;
import org.ilyin.tests.TestFiller;

public class Test02 implements ITest {
	public String getName() {
		return "2. IUnit.getCanonicalPath() test";
	}

	//tests constructors and getCanonicalPath()
	public boolean run() {
		IModelFiller f = new TestFiller();
		IFileManager m = FileManagerHolder.getFileManager();
		m.setFiller(f);
		
		IUnit d0 = m.getUnit("catalog");
		IUnit d1 = m.getUnit("catalog" + f.separatorChar() + "dir");
		IUnit d2 = m.getUnit("test1", (IDirectory)d1);
		
		//System.out.println(d0.getCanonicalPath());
		//System.out.println(d1.getCanonicalPath());
		//System.out.println(d2.getCanonicalPath());
		String answer0 = f.getCanonicalPath("catalog");
		String answer1 = f.getCanonicalPath("catalog" + f.separatorChar() + "dir");
		String answer2 = f.getCanonicalPath("catalog" + f.separatorChar() + 
											"dir" + f.separatorChar() + "test1");
		
		return (answer0.equals(d0.getCanonicalPath()) &&
				answer1.equals(d1.getCanonicalPath()) &&
				answer2.equals(d2.getCanonicalPath()));
	}
}
