package org.ilyin.tests.testSet;

import org.ilyin.tests.ITest;
import org.ilyin.model.*;
import org.ilyin.fileSystemAPI.*;
import java.io.File;

public class Test12 implements ITest {
	public String getName() {
		return "12. Filesystem change test";
	}

	public boolean run() {
		IFileManager m = FileManagerHolder.getFileManager();
		IModelFiller filler = new RealFiller(); 
		m.setFiller(filler);
		
		final String path = "testCatalogs" + filler.separatorChar() + 
							"catalog" + filler.separatorChar() + "empty";

		IDirectory d = (IDirectory)m.getUnit(path);
		
		File dir = new File(path);
		dir.delete();
		
		try {
			d.getChildren();
		} catch(RuntimeException e) {
			return false;
		} finally {
			dir.mkdir();
		}
	
		return true;
	}
}