package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.tests.*;

public class Test52 implements ITest {
	public String getName() {
		return "52. IFileManager.addListener() test";
	}

	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		manager.setFiller(new TestFiller());
		
		TestListener listener = new TestListener();
		manager.addListener(listener);
		
		IDirectory parent = (IDirectory)manager.getUnit("dir");
		IUnit child = manager.getUnit("file.txt", parent);
		
		manager.rename(child, "file2.txt");
		if (listener.getFireCount() != 1)
			return false;
		
		manager.createFile(parent, "newfile.txt");
		if (listener.getFireCount() != 2)
			return false;
		
		manager.createFile(parent, "newdir");
		if (listener.getFireCount() != 3)
			return false;
		
		manager.remove(child);
		if (listener.getFireCount() != 4)
			return false;
		
		return true;
	}
}
