package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.tests.*;

public class Test54 implements ITest {
	public String getName() {
		return "54. IEvent.getChangedDirectory() test";
	}

	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		manager.setFiller(new TestFiller());
		
		TestListener listener = new TestListener();
		manager.addListener(listener);
		
		IDirectory parent = (IDirectory)manager.getUnit("dir");
		IUnit child = manager.getUnit("file.txt", parent);
		manager.rename(child, "file2.txt");
		if (!listener.getEvent().getChangedDirectory().getCanonicalPath().equals(parent.getCanonicalPath()))
			return false;
		
		manager.createFile(parent, "newfile.txt");
		if (!listener.getEvent().getChangedDirectory().getCanonicalPath().equals(parent.getCanonicalPath()))
			return false;
		
		manager.createFile(parent, "newdir");
		if (!listener.getEvent().getChangedDirectory().getCanonicalPath().equals(parent.getCanonicalPath()))
			return false;
		
		manager.remove(child);
		if (!listener.getEvent().getChangedDirectory().getCanonicalPath().equals(parent.getCanonicalPath()))
			return false;
		
		return true;
	}
}
